Windows
=======

.. contents::

.. module:: qrenderdoc

MainWindow
----------

.. autoclass:: qrenderdoc.MainWindow
  :members:
  :undoc-members:

EventBrowser
------------

.. autoclass:: qrenderdoc.EventBrowser
  :members:
  :undoc-members:

APIInspector
------------

.. autoclass:: qrenderdoc.APIInspector
  :members:
  :undoc-members:

PipelineStateViewer
-------------------

.. autoclass:: qrenderdoc.PipelineStateViewer
  :members:
  :undoc-members:

TextureViewer
-------------

.. autoclass:: qrenderdoc.TextureViewer
  :members:
  :undoc-members:

BufferViewer
------------

.. autoclass:: qrenderdoc.BufferViewer
  :members:
  :undoc-members:

CaptureDialog
-------------

.. autoclass:: qrenderdoc.CaptureDialog
  :members:
  :undoc-members:

DebugMessageView
----------------

.. autoclass:: qrenderdoc.DebugMessageView
  :members:
  :undoc-members:

StatisticsViewer
----------------

.. autoclass:: qrenderdoc.StatisticsViewer
  :members:
  :undoc-members:

ShaderViewer
------------

.. autoclass:: qrenderdoc.ShaderViewer
  :members:
  :undoc-members:

ConstantBufferPreviewer
-----------------------

.. autoclass:: qrenderdoc.ConstantBufferPreviewer
  :members:
  :undoc-members:

PixelHistoryView
----------------

.. autoclass:: qrenderdoc.PixelHistoryView
  :members:
  :undoc-members:

